<?php

/** Theme options **/
class ThemeOptions {

	function getOptions() {
		$options = get_option('theme_options');
		if (!is_array($options)) {
			$options['page'] = false;
			$options['page_exclude'] = '';
			$options['twitter'] = false;
			$options['twitter_id'] = '';
			$options['feed'] = false;
			$options['feed_url'] = '';
			$options['feed_email'] = false;
			$options['feed_url_email'] = '';
			$options['google_cse'] = false;
			$options['google_cse_cx'] = '';
			$options['googlean'] = '';
			$options['googlean_adanalytic'] = '';
			$options['googlean_analytic'] = '';
			$options['google'] = false;
			$options['google_lb'] = '';
			$options['google_singletop'] = '';
			$options['google_singlebottom'] = '';
			$options['google_archive'] = '';

			update_option('theme_options', $options);
		}
		return $options;
	}

	function add() {
		if(isset($_POST['theme_save'])) {
			$options = ThemeOptions::getOptions();
			// Top Navi
			if ($_POST['page']) {
				$options['page'] = (bool)true;
			} else {
				$options['page'] = (bool)false;
			}
			$options['page_exclude'] = stripslashes($_POST['page_exclude']);

			// twitter
			if ($_POST['twitter']) {
				$options['twitter'] = (bool)true;
			} else {
				$options['twitter'] = (bool)false;
			}
			$options['twitter_id'] = stripslashes($_POST['twitter_id']);			
			
			// feed
			if ($_POST['feed']) {
				$options['feed'] = (bool)true;
			} else {
				$options['feed'] = (bool)false;
			}
			$options['feed_url'] = stripslashes($_POST['feed_url']);
			if ($_POST['feed_email']) {
				$options['feed_email'] = (bool)true;
			} else {
				$options['feed_email'] = (bool)false;
			}
			$options['feed_url_email'] = stripslashes($_POST['feed_url_email']);
			
			// google custom search engine
			if ($_POST['google_cse']) {
				$options['google_cse'] = (bool)true;
			} else {
				$options['google_cse'] = (bool)false;
			}
			$options['google_cse_cx'] = stripslashes($_POST['google_cse_cx']);

			// google analytic
			if ($_POST['googlean']) {
				$options['googlean'] = (bool)true;
			} else {
				$options['googlean'] = (bool)false;
			}
			$options['googlean_adanalytic'] = stripslashes($_POST['googlean_adanalytic']);
			

			if ($_POST['googlean']) {
				$options['googlean'] = (bool)true;
			} else {
				$options['googlean'] = (bool)false;
			}
			$options['googlean_analytic'] = stripslashes($_POST['googlean_analytic']);
			
			// Google Ads Managing
			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_lb'] = stripslashes($_POST['google_lb']);
			
			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_singletop'] = stripslashes($_POST['google_singletop']);

			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_singlebottom'] = stripslashes($_POST['google_singlebottom']);
			
			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_archive'] = stripslashes($_POST['google_archive']);
			
			update_option('theme_options', $options);
	
		} else {
			ThemeOptions::getOptions();
		}

		add_theme_page(__('Theme Options', 'theme'), __('Theme Options', 'theme'), 'edit_themes', basename(__FILE__), array('ThemeOptions', 'display'));
	}

	function display() {
		$options = ThemeOptions::getOptions();
?>


<form action="#" method="post" enctype="multipart/form-data" name="theme_form" id="theme_form">
	<div class="wrap">
		<h2>Theme Options</h2><input class="button-primary" type="submit" name="theme_save" value="Save Changes" />
		<br />

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Top Navigations</th>
					<td>
						<label>
							<input name="page" type="checkbox" value="checkbox" <?php if($options['page']) echo "checked='checked'"; ?> />
							 Exclude Page(s)
						</label>
						<br/>
						Exclude Page links from showing on top menu.<br />
						Insert page id(numbers) here and seperate them with a coma <code>,</code><br /><input type="text" name="page_exclude" id="page_exclude" class="code" size="60" value="<?php echo($options['page_exclude']); ?>">
						<br/>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Twitter</th>
					<td>
						<label>
							<input name="twitter" type="checkbox" value="checkbox" <?php if($options['twitter']) echo "checked='checked'"; ?> />
							 Enable Twitter Link
						</label>
						<br/>
						Twitter Account Name:<br /> Example, "FlikTeoh" without the quotation marks. <br /><input type="text" name="twitter_id" id="twitter_id" class="code" size="60" value="<?php echo($options['twitter_id']); ?>">
						<br/>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Feed</th>
					<td>
						<label>
							<input name="feed" type="checkbox" value="checkbox" <?php if($options['feed']) echo "checked='checked'"; ?> />
							Enable Custom feed
						</label>
						<br/>
						URL:<input type="text" name="feed_url" id="feed_url" class="code" size="60" value="<?php echo($options['feed_url']); ?>">
						<br/>
						<label>
							<input name="feed_email" type="checkbox" value="checkbox" <?php if($options['feed_email']) echo "checked='checked'"; ?> />
							Enable Email feed
						</label>
						<br/>
						URL:<input type="text" name="feed_url_email" id="feed_url_email" class="code" size="60" value="<?php echo($options['feed_url_email']); ?>">
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Search</th>
					<td>
						<label>
							<input name="google_cse" type="checkbox" value="checkbox" <?php if($options['google_cse']) echo "checked='checked'"; ?> />
							 Use Google Custom Search Engine.
						</label>
						<br/>
						CX Code:
						<input type="text" name="google_cse_cx" id="google_cse_cx" class="code" size="40" value="<?php echo($options['google_cse_cx']); ?>">
						<br/>
						Find <code>name="cx"</code> in the <strong>Search box code</strong> of <a href="http://www.google.com/coop/cse/">Google Custom Search Engine</a>, and type the <code>value</code> here.<br/>For example: <code>partner-pub-2629419503944370:4qov85-ahcf</code><br/><br/>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Google Analytic</th>
					<td>
						<label>
							<input name="googlean" type="checkbox" value="checkbox" <?php if($options['googlean']) echo "checked='checked'"; ?> />
							Enable Google Analytic.
						</label>
						<br/>
						<label>
						<strong>Google Adsense Analytic code provided by Google Analytic:</strong><br/>
							<textarea name="googlean_adanalytic" id="googlean_adanalytic" cols="50" rows="3" style="width:78%;font-size:12px;" class="code"><?php echo($options['googlean_adanalytic']); ?></textarea>
						</label>
						<br />
						
						<label>
						<strong>Tracking Code provided by Google Analytic:</strong><br/>
							<textarea name="googlean_analytic" id="googlean_analytic" cols="50" rows="5" style="width:78%;font-size:12px;" class="code"><?php echo($options['googlean_analytic']); ?></textarea>
						</label>
						<br />
						
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						Google Adsense:
						<br/>
					</th>
					<td>
						<!-- Google Adcodes START -->
						<label>
							<input name="google" type="checkbox" value="checkbox" <?php if($options['google']) echo "checked='checked'"; ?> />
							Enable Google Adsense Management System.
						</label>
						<br />
						
						<label>
						<strong>Site-wide Banner: 728 x 90px:</strong><br/>
							<textarea name="google_lb" id="google_lb" cols="50" rows="4" style="width:78%;font-size:12px;" class="code"><?php echo($options['google_lb']); ?></textarea>
						</label>
						<br />
						
						<label>
						<strong>Top of every Single Post: 300 x 250px:</strong><br/>
							<textarea name="google_singletop" id="google_singletop" cols="50" rows="4" style="width:78%;font-size:12px;" class="code"><?php echo($options['google_singletop']); ?></textarea>
						</label>
						<br />

						<label>
						<strong>Bottom of every Single Post: 300 x 250px:</strong><br/>
							<textarea name="google_singlebottom" id="google_singlebottom" cols="50" rows="4" style="width:78%;font-size:12px;" class="code"><?php echo($options['google_singlebottom']); ?></textarea>
						</label>
						<br />
						
						<label>
						<strong>Category/Tag Page Contents: 468 x 60px</strong><br/>
							<textarea name="google_archive" id="google_archive" cols="50" rows="4" style="width:78%;font-size:12px;" class="code"><?php echo($options['google_archive']); ?></textarea>
						</label>
						<br />

						<br />
						<!-- Google Adcodes END -->
					</td>
				</tr>
			</tbody>
		</table>

		<p class="submit">
			<input class="button-primary" type="submit" name="theme_save" value="Save Changes" />
		</p>
	</div>

</form>

<?php
	}
}

// register functions
add_action('admin_menu', array('ThemeOptions', 'add'));

if (function_exists('register_sidebar')) 
   register_sidebar(array('name' => 'Right Sidebar','before_title' => '<h3 class="widgettitle">','after_title' => '</h3>'));  
?>